Package fr.gouv.vitam.common.alert

# Class AlertServiceImpl

java.lang.Object
fr.gouv.vitam.common.alert.AlertServiceImpl

All Implemented Interfaces:
  `AlertService`

public class AlertServiceImpl extends Object implements AlertService
Security alert service implementation. This service log the messages in a specific file using VitamLogger.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AlertServiceImpl()`
  `AlertServiceImpl(VitamLogger lOGGER)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `createAlert(VitamLogLevel level, String message)`
  Create an alert with the specified message and level
  `void`
  `createAlert(VitamLogLevel level, String message, Throwable cause)`
  / Create an alert with the specified message, level au cause
  `void`
  `createAlert(String message)`
  Create an alert with the specified message and level INFO

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AlertServiceImpl

    public AlertServiceImpl()

  - ### AlertServiceImpl

    public AlertServiceImpl(VitamLogger lOGGER)

- ## Method Details

  - ### createAlert

    public void createAlert(VitamLogLevel level, String message)
    Description copied from interface: `AlertService`
    Create an alert with the specified message and level
    Specified by:
      `createAlert` in interface `AlertService`
    Parameters:
      `level` -
      `message` -

  - ### createAlert

    public void createAlert(VitamLogLevel level, String message, Throwable cause)
    Description copied from interface: `AlertService`
    / Create an alert with the specified message, level au cause
    Specified by:
      `createAlert` in interface `AlertService`

  - ### createAlert

    public void createAlert(String message)
    Description copied from interface: `AlertService`
    Create an alert with the specified message and level INFO
    Specified by:
      `createAlert` in interface `AlertService`
    Parameters:
      `message` -